# Create Eth Intf
create-eth-bridge-interface
create-eth-switch-virtual-interface vlan-id 200
create-eth-ingress-flow
# IP configuration
create-ip-interface addr 100.100.100.1 prefix-width 24 mtu 1400 handle bridge
create-ip-interface addr 101.101.101.1 prefix-width 24 mtu 1400 handle svif
add-eth-arp-entry next-hop 100.100.100.2 mac-address 00:00:01:00:05:01
add-eth-arp-entry next-hop 101.101.101.2 mac-address 00:00:01:00:05:01
ip-bypass-ipsec bypass 1

#   ADK_IP_ING_CLASSIFIER_ACTION_DROP = 1,
#    /*! Forward to a program running on host processor */
#    ADK_IP_ING_CLASSIFIER_ACTION_SEND_TO_HOST = 2,
#    /*! Forward to a EVENT OBJECT running in EVENT MACHINE */
#    ADK_IP_ING_CLASSIFIER_ACTION_SEND_TO_EO = 3,
#    /*! IP protocol type mask */
#    ADK_IP_ING_CLASSIFIER_PROTO_MASK     = 0x01,
#    /*! Destination address mask */
#    ADK_IP_ING_CLASSIFIER_DEST_ADDR_MASK = 0x02,
#    /*! Source address mask */
#    ADK_IP_ING_CLASSIFIER_SRC_ADDR_MASK  = 0x04,
#    /*! Interface Handle mask */
#    ADK_IP_ING_CLASSIFIER_INTF_HANDLE_MASK = 0x08,
#    /*! Source Port mask */
#    ADK_IP_ING_CLASSIFIER_SRC_PORT_MASK = 0x10,
#    /*! Destination Port */
#    ADK_IP_ING_CLASSIFIER_DEST_PORT_MASK  = 0x20,
#    /*! ICMP Type MASK */
#    ADK_IP_ING_CLASSIFIER_ICMP_TYPE_MASK  = 0x40,
#    /*! ICMP Code MASK */
#    ADK_IP_ING_CLASSIFIER_ICMP_CODE_MASK  = 0x80,

#    /*! ICMP protocol type */
#    ADK_IP_PROTOCOL_ICMP = 1,
#    /*! IGMP protocol type */
#    ADK_IP_PROTOCOL_IGMP = 2,
#    /*! TCP protocol type */
#    ADK_IP_PROTOCOL_TCP = 6,
#    /*! UDP protocol type */
#    ADK_IP_PROTOCOL_UDP = 17,
#    /*! ESP protocol type */
#    ADK_IP_PROTOCOL_ESP = 50,
#    /*! SCTP protocol type */
#    ADK_IP_PROTOCOL_SCTP = 132,
#    /*! UDP lite protocol type */
#    ADK_IP_PROTOCOL_UDP_LITE = 136
add-ip-proto-support proto 1
add-ip-proto-support proto 2
add-ip-proto-support proto 6
add-ip-proto-support proto 17
add-ip-proto-support proto 50
add-ip-proto-support proto 132
add-ip-proto-support proto 136
add-ip-ingress-classifier-rule src-addr 200.200.200.1 prefix-width 16 action 3 em-recv-q-id 3276801 rule-mask 4
add-ip-ingress-classifier-rule src-addr 201.201.201.1 prefix-width 16 action 3 em-recv-q-id 3276801 rule-mask 4
add-ip-route route-table-id 0 dest-ip 200.200.200.1 prefix-width 24 next-hop 100.100.100.2 route-mtu 1400
add-ip-route route-table-id 0 dest-ip 201.201.201.1 prefix-width 24 next-hop 101.101.101.2 route-mtu 1400
add-ip-ingress-classifier-build
