#!/bin/bash
#set -x
#1 Worker cores
#$EM_DIR/install/eventMachine -c 0x3f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf -f $EM_DIR/programs/common/config/SNF_EM_Config.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_1w_4em.xml
echo "Enter worker core number"
echo "1: Single worker Atomic"
echo "2: Two workers Atomic"
echo "3: Three workers Atomic"
echo "4: Four workers Atomic"
echo "5: Single worker Ordered"
echo "6: Two workers Ordered"
echo "7: Three workers Ordered"
echo "8: Four workers Ordered"
echo "99: TG-->DUT packet generator"
read wc

echo $wc "Worker core script going to run with following command"
if [[ $wc == 1 ]] ; then
	#1 Worker cores
	echo "$EM_DIR/install/eventMachine -c 0x3f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_1w_4em.xml"
	$EM_DIR/install/eventMachine -c 0x3f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_1w_4em.xml
elif [[ $wc == 2 ]]; then
	#2 Worker cores
	echo '$EM_DIR/install/eventMachine -c 0x7f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_2w_4em.xml'
	$EM_DIR/install/eventMachine -c 0x7f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_2w_4em.xml
elif [[ $wc == 3 ]]; then
	3 Worker cores
	echo '
	$EM_DIR/install/eventMachine -c 0xff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_3w_4em.xml'
	$EM_DIR/install/eventMachine -c 0xff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_3w_4em.xml
elif [[ $wc == 4 ]]; then
	#4 Worker cores
	echo '
	$EM_DIR/install/eventMachine -c 0x1ff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_4w_4em.xml'
	$EM_DIR/install/eventMachine -c 0x1ff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_4w_4em.xml
elif [[ $wc == 5 ]]; then
	#1 Worker cores
	echo '$EM_DIR/install/eventMachine -c 0x3f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_1w_4em_ord.xml'
	$EM_DIR/install/eventMachine -c 0x3f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_1w_4em_ord.xml
elif [[ $wc == 6 ]]; then
	#2 Worker cores
	echo '$EM_DIR/install/eventMachine -c 0x7f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_2w_4em_ord.xml'
	$EM_DIR/install/eventMachine -c 0x7f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_2w_4em_ord.xml
elif [[ $wc == 7 ]]; then
	3 Worker cores
	echo '$EM_DIR/install/eventMachine -c 0xff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_3w_4em_ord.xml'
	$EM_DIR/install/eventMachine -c 0xff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_3w_4em_ord.xml
elif [[ $wc == 8 ]]; then
	#4 Worker cores
	echo '$EM_DIR/install/eventMachine -c 0x1ff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_4w_4em_ord.xml'
	$EM_DIR/install/eventMachine -c 0x1ff --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a test_appl_adk_ec_perf_multi_flow -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_4w_4em_ord.xml
elif [[ $wc == 99 ]]; then
	# TG-->DUT packet generator
	$EM_DIR/install/eventMachine -c 0x3f --base-virtaddr 0x7fff3e75000 -d librte_bus_vmbus.so  -- -t -a  test_appl_adk_ec_perf_TG -f $EM_DIR/programs/common/config/SNF_EM_Config_Adk_Perf.xml -f $ADK_SRC/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config_perf_1w_4em.xml
else
	echo "Enter correct worker number"
fi
