/* **************************************************************************
**                                                                          *
** INTEL CONFIDENTIAL                                                       *
** Copyright 2011 - 2018 Intel Corporation All Rights Reserved.             *
**                                                                          *
** The source code contained or described herein and all documents related  *
** to the source code ("Material") are owned by Intel Corporation or its    *
** suppliers or licensors. Title to the Material remains with Intel         *
** Corporation or its suppliers and licensors. The Material contains trade  *
** secrets and proprietary and confidential information of Intel or its     *
** suppliers and licensors. The Material is protected by worldwide          *
** copyright and trade secret laws and treaty provisions. No part of the    *
** Material may be used, copied, reproduced, modified, published, uploaded, *
** posted, transmitted, distributed, or disclosed in any way without        *
** Intel's prior express written permission.                                *
**                                                                          *
** No license under any patent, copyright, trade secret or other            *
** intellectual property right is granted to or conferred upon you by       *
** disclosure or delivery of the Materials, either expressly, by            *
** implication, inducement, estoppel or otherwise. Any license under such   *
** intellectual property rights must be express and approved by Intel       *
** in writing.                                                              *
**                                                                          *
** **************************************************************************
**/
/*!
 * @file  adk_sample_os.c
 *
 *      $HeadURL$
 *      $Revision$
 *      $Date$
 * @addtogroup _adkSamples ADK Sample Applications
 * @{
 *
 * @brief OS abstraction layer APIs. 
 *
 * This file contains all OS specific APIs that are not abstracted by
 * RTE. The APIs in this file should only be used in the sample
 * application, these must not be used in the ADK core code.
 *
 ***********************************************************************/

#include "adk_ph_dev.h"
#include "adk_sample_os.h"

/* Sempahore related porting */
/*! end addtogroup _adkSamples
 * @}
 */
