# *****************************************************************************
# **                                                                          *
# ** INTEL CONFIDENTIAL                                                       *
# ** Copyright 2011 - 2018 Intel Corporation All Rights Reserved.             *
# **                                                                          *
# ** The source code contained or described herein and all documents related  *
# ** to the source code ("Material") are owned by Intel Corporation or its    *
# ** suppliers or licensors. Title to the Material remains with Intel         *
# ** Corporation or its suppliers and licensors. The Material contains trade  *
# ** secrets and proprietary and confidential information of Intel or its     *
# ** suppliers and licensors. The Material is protected by worldwide          *
# ** copyright and trade secret laws and treaty provisions. No part of the    *
# ** Material may be used, copied, reproduced, modified, published, uploaded, *
# ** posted, transmitted, distributed, or disclosed in any way without        *
# ** Intel's prior express written permission.                                *
# **                                                                          *
# ** No license under any patent, copyright, trade secret or other            *
# ** intellectual property right is granted to or conferred upon you by       *
# ** disclosure or delivery of the Materials, either expressly, by            *
# ** implication, inducement, estoppel or otherwise. Any license under such   *
# ** intellectual property rights must be express and approved by Intel       *
# ** in writing.                                                              *
# **                                                                          *
# ** **************************************************************************
# !
#  @file  version.inc
# 
#       $HeadURL$
#       $Revision$
#       $Date$
#
#  @addtogroup _sif  SIF
#  @{
#
# Include file for make to set the libtool version numbers
#
# $Revision$
#
# The libtool instructions for modifying the revision, current, and age values.
# These must be followed exactly as a recipe, not skipping steps. 
#
# 1) Start with version information of 0:0:0 for each libtool library. [This
#    is done automatically by simply omitting the -version option from the
#    list of linker flags passed to the libtool command.]
#
# 2) Update the version information only immediately before a public release
#    of your software. More frequent updates are unnecessary, and only
#    guarantee that the current interface number gets larger faster.
#
# 3) If the library source code has changed at all since the last update,
#    then increment revision (c:r:a becomes c:r+1:a).
#
# 4) If any interfaces [exported functions or data] have been added, removed,
#    or changed since the last update, increment current, and set revision to 0.
#
# 5) If any interfaces have been added since the last public release, then
#    increment age.
#
# 6) If any interfaces have been removed since the last public release, then
#    set age to 0.
#    


# 3) If the library source code has changed at all since the last update,
#    then increment revision(c:r:a becomes c:r+1:a).

ADK_LIBT_REVISION=0


# 4) If any interfaces [exported functions or data] have been added, removed,
#    or changed since the last update, increment current, and set revision to 0.

ADK_LIBT_CURRENT=0


# 5) If any interfaces have been added since the last public release, then
#    increment age.
#
# 6) If any interfaces have been removed since the last public release, then
#    set age to 0.

ADK_LIBT_AGE=0


#
# get the version definitions
#
include $(ADK_SRC)/env/libtool.env


#
#  @} end addtogroup _aal2
#
