/* ***************************************************************************
 **                                                                          *
 ** INTEL CONFIDENTIAL                                                       *
 ** Copyright 2011 - 2018 Intel Corporation All Rights Reserved.             *
 **                                                                          *
 ** The source code contained or described herein and all documents related  *
 ** to the source code ("Material") are owned by Intel Corporation or its    *
 ** suppliers or licensors. Title to the Material remains with Intel         *
 ** Corporation or its suppliers and licensors. The Material contains trade  *
 ** secrets and proprietary and confidential information of Intel or its     *
 ** suppliers and licensors. The Material is protected by worldwide          *
 ** copyright and trade secret laws and treaty provisions. No part of the    *
 ** Material may be used, copied, reproduced, modified, published, uploaded, *
 ** posted, transmitted, distributed, or disclosed in any way without        *
 ** Intel's prior express written permission.                                *
 **                                                                          *
 ** No license under any patent, copyright, trade secret or other            *
 ** intellectual property right is granted to or conferred upon you by       *
 ** disclosure or delivery of the Materials, either expressly, by            *
 ** implication, inducement, estoppel or otherwise. Any license under such   *
 ** intellectual property rights must be express and approved by Intel       *
 ** in writing.                                                              *
 **                                                                          *
 ** **************************************************************************
 **/
/*!
 * @internal
 * @file  adk_ipv6_dp_tables.c
 *
 *      $HeadURL$
 *      $Revision$
 *      $Date$
 * @addtogroup _ipv6Functions  IPv6 Module
 *
 * @{
 *
 * @brief   This file has all the low level functions which is used by 
 * dataplane software to lookup the fast-path tables.
 *
 *  **********************************************************************/

#include "adk_include.h"
#include "adk_ipv6_dp_pvt.h"
#include "adk_ipv6_dp_tables.h"
#include "adk_rcu.h"




static inline adk_dp_status_t 
adk_ipv6_dp_tunnel_interface_entry_lookup(uint16_t __attribute__((unused)) if_id, 
                uint16_t __attribute__((unused)) tunnel_if_id,
                uint16_t __attribute__((unused)) *adk_if_id)
                
{



    return ADK_SUCCESS;
}



static inline adk_dp_status_t
adk_ipv6_dp_pbr_rule_entry_lookup(adk_ipv6_dp_pbr_ptn_t __attribute__((unused)) *pbr_ptn,
                                adk_ipv6_dp_pbr_action_entry_t __attribute__((unused)) * pbr_action)
{



    return ADK_SUCCESS;
}

static inline adk_dp_status_t
adk_ipv6_dp_pbr_state_get(adk_module_handle_t __attribute__((unused)) ipv6Handle,
                        bool __attribute__((unused)) *pbr_flag)
{



    return ADK_SUCCESS;
}


/*!
 * end addtogroup _ipv6Functions  IPv6 Module
 * @}
 */
