/* **************************************************************************
**                                                                          *
** INTEL CONFIDENTIAL                                                       *
** Copyright 2011 - 2018 Intel Corporation All Rights Reserved.             *
**                                                                          *
** The source code contained or described herein and all documents related  *
** to the source code ("Material") are owned by Intel Corporation or its    *
** suppliers or licensors. Title to the Material remains with Intel         *
** Corporation or its suppliers and licensors. The Material contains trade  *
** secrets and proprietary and confidential information of Intel or its     *
** suppliers and licensors. The Material is protected by worldwide          *
** copyright and trade secret laws and treaty provisions. No part of the    *
** Material may be used, copied, reproduced, modified, published, uploaded, *
** posted, transmitted, distributed, or disclosed in any way without        *
** Intel's prior express written permission.                                *
**                                                                          *
** No license under any patent, copyright, trade secret or other            *
** intellectual property right is granted to or conferred upon you by       *
** disclosure or delivery of the Materials, either expressly, by            *
** implication, inducement, estoppel or otherwise. Any license under such   *
** intellectual property rights must be express and approved by Intel       *
** in writing.                                                              *
**                                                                          *
** **************************************************************************
**/

/********************************************************************************
 *                  IPv6 Fast path function indexes
 ********************************************************************************/
/* index 4 & 5 are reserved for IPv6 reassembly stage */

ADK_IPV6_LLI_FN_ID,
ADK_IPV6_ULI_FN_ID,
ADK_IPV6_LLI_REASSEMBLY_FN_ID,
ADK_IPV6_LLI_REASS_TIMER_FN_ID,
ADK_IPV6_NETD_FN_ID,
ADK_IPV6_PACKET_CAPTURE_FN_ID,
ADK_IPV6_POLICING_FN_ID,
#if 0
ADK_IPV6_ULI_RING_FN_ID,
ADK_IPV6_LLI_RING_FN_ID,
ADK_IPV6_UDP_ULI_FN_ID,
ADK_IPV6_UDP_ULI_RING_FN_ID,
ADK_IPV6_UDP_LLI_FN_ID,
ADK_IPV6_UDP_LLI_RING_FN_ID,
#endif


