/* ***************************************************************************
 **                                                                          *
 ** INTEL CONFIDENTIAL                                                       *
 ** Copyright 2001 - 2020 Intel Corporation All Rights Reserved.             *
 **                                                                          *
 ** The source code contained or described herein and all documents related  *
 ** to the source code ("Material") are owned by Intel Corporation or its    *
 ** suppliers or licensors. Title to the Material remains with Intel         *
 ** Corporation or its suppliers and licensors. The Material contains trade  *
 ** secrets and proprietary and confidential information of Intel or its     *
 ** suppliers and licensors. The Material is protected by worldwide          *
 ** copyright and trade secret laws and treaty provisions. No part of the    *
 ** Material may be used, copied, reproduced, modified, published, uploaded, *
 ** posted, transmitted, distributed, or disclosed in any way without        *
 ** Intel's prior express written permission.                                *
 **                                                                          *
 ** No license under any patent, copyright, trade secret or other            *
 ** intellectual property right is granted to or conferred upon you by       *
 ** disclosure or delivery of the Materials, either expressly, by            *
 ** implication, inducement, estoppel or otherwise. Any license under such   *
 ** intellectual property rights must be express and approved by Intel       *
 ** in writing.                                                              *
 **                                                                          *
 ** **************************************************************************
 **/
#if !defined(_ADK_RELEASE_ID_H_)
#define _ADK_RELEASE_ID_H_

#include "rte_version.h"

#define ADK_RELEASE_ID_CONST  "nxADK-2.0.12.04";

#if defined(ADK_RELEASE_VARIABLES)

const char *adk_rte_version_id="DPDK 18.11.2.16";

const char *adk_release_id="nxADK-2.0.12.04";

#ifndef ADK_EXCLUDE_BUILD_DATE
const char *adk_release_date="Apr 29 2020  07:28:25";
const char *adk_build_date=__DATE__"  "__TIME__;
#endif
#ifndef ADK_EXCLUDE_BUILD_NAME
const char *adk_build_name="intel";
#endif
#ifndef ADK_EXCLUDE_SCM_TAG
const char *adk_scm_tag="git:9fd8fa45a";
#endif

#else

extern const char *adk_rte_version_id;
extern const char *adk_release_id;
#ifndef ADK_EXCLUDE_BUILD_DATE
extern const char *adk_release_date;
extern const char *adk_build_date;
#endif
#ifndef ADK_EXCLUDE_BUILD_NAME
extern const char *adk_build_name;
#endif
#ifndef ADK_EXCLUDE_SCM_TAG
extern const char *adk_scm_tag;
#endif

#endif /* ADK_RELEASE_VARIABLES */

/* git:9fd8fa45a */
#endif /* _ADK_RELEASE_ID_H_ */
