/* ***************************************************************************
 **                                                                          *
 ** INTEL CONFIDENTIAL                                                       *
 ** Copyright 2011 - 2018 Intel Corporation All Rights Reserved.             *
 **                                                                          *
 ** The source code contained or described herein and all documents related  *
 ** to the source code ("Material") are owned by Intel Corporation or its    *
 ** suppliers or licensors. Title to the Material remains with Intel         *
 ** Corporation or its suppliers and licensors. The Material contains trade  *
 ** secrets and proprietary and confidential information of Intel or its     *
 ** suppliers and licensors. The Material is protected by worldwide          *
 ** copyright and trade secret laws and treaty provisions. No part of the    *
 ** Material may be used, copied, reproduced, modified, published, uploaded, *
 ** posted, transmitted, distributed, or disclosed in any way without        *
 ** Intel's prior express written permission.                                *
 **                                                                          *
 ** No license under any patent, copyright, trade secret or other            *
 ** intellectual property right is granted to or conferred upon you by       *
 ** disclosure or delivery of the Materials, either expressly, by            *
 ** implication, inducement, estoppel or otherwise. Any license under such   *
 ** intellectual property rights must be express and approved by Intel       *
 ** in writing.                                                              *
 **                                                                          *
 ** **************************************************************************
 **/
/*!
 * file  adk_dp_tp_sif_fps_debug.h
 *
 *      $HeadURL$
 *      $Revision$
 *      $Date$
 *
 * brief
 *
 * This file contains definitions of tracepoint providers and events.
 *
 ***********************************************************************/

#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER com_intel_adk_sif_fps_debug_dp

/*
 *  * include file (this files's name)
 *   */
#undef TRACEPOINT_INCLUDE
#define TRACEPOINT_INCLUDE "./adk_dp_tp_sif_fps_debug.h"


#if !defined(_TRACEPOINT_COM_INTEL_ADK_DP_SIF_FPS_DEBUG_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _TRACEPOINT_COM_INTEL_ADK_DP_SIF_FPS_DEBUG_H

#ifdef __cplusplus
extern "C" {
#endif


#include <lttng/tracepoint.h>

#include "adk_dp_tp_macros_debug.h"

/*
 * Add in the standard, generic LTTng tracepoints. Module specific
 * tracepoints will need to be appended afterwards
 */
ADK_DP_TP_DEBUG_ALL_MACROS(sif_fps)



#endif /* _TRACEPOINT_COM_INTEL_ADK_DP_SIF_FPS_DEBUG_H */

        /* This part must be outside ifdef protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus
}
#endif




