#
# Makefile for Unix targets
#
# $Revision$
#

#used for Unified ADK-EM compilation
#This file is autometically get included when compiling EM examples when ADK_SRC is defined
ifneq ($(wildcard $(ADK_SRC)/.*),)

ifneq ($(wildcard $(ADK_SRC)/ncp_adk/test/.*),)
ADK_SAMPLE_COMMON=$(ADK_CODE)/../test/adk_samples/common/src/C
ADK_SAMPLE_INCLUDES=$(ADK_CODE)/../test/adk_samples/common/include
ADK_TEST_DP_APPL=$(ADK_CODE)/../test/adk_dp_app
else
ADK_SAMPLE_COMMON=$(ADK_CODE)/../adk_samples/common/src/C
ADK_SAMPLE_INCLUDES=$(ADK_CODE)/../adk_samples/common/include
ADK_TEST_DP_APPL=$(ADK_CODE)/../adk_dp_app
endif

ADK_INCLUDES=$(ADK_CODE)/../install/include

ifneq ($(wildcard $(ADK_SRC)/ncp_adk/test/.*),)
NONEM_CFG += $(ADK_SRC)/ncp_adk/test/adk_dp_app/SNF_EM_ADK_Config.xml
else
NONEM_CFG += $(ADK_SRC)/adk_dp_app/SNF_EM_ADK_Config.xml
endif 

ifneq ($(wildcard $(ADK_SAMPLE_COMMON)/),)
ALL_TEST_SRCS += $(ADK_SAMPLE_COMMON)/adk_dp_setup.c
ALL_TEST_SRCS += $(ADK_SAMPLE_COMMON)/adk_nac_setup.c
ALL_TEST_SRCS += $(ADK_SAMPLE_COMMON)/test_shm.c
ALL_TEST_SRCS += $(ADK_SAMPLE_COMMON)/adk_sample_dpdk_ports.c

endif

ifneq ($(wildcard $(ADK_TEST_DP_APPL)/),)
#ALL_TEST_SRCS += $(wildcard $(ADK_TEST_DP_APPL)/test_appl_adk*.c )
endif

include $(ADK_SRC)/env/make.env.linux-x86_64
CFLAGS += -I$(ADK_INCLUDES) -I$(ADK_SAMPLE_INCLUDES)
CFLAGS += -DADK_DPDK_VERSION=$(MAKE_DPDK_VERSION) -DADK_DEVICE_SNR -DADK_HOST_PATH_USE_NETD -DADK_NETD_NETLINK #-DEM_SNF_ADK 
CFLAGS += -no-pie

ifneq ($(ADK_QA_SRC),)
include $(ADK_QA_SRC)/env/makefile.adk.qa.em
endif

LIBS += -ladk-ip \
	-ladk-ipv6 \
	-ladk-ethernet \
	-ladk-ph \
	-ladk-sif \
	-ladk-ipsec \
	-ladk-utils \
	-ladk-Gen \
	-ladk-pal

ADK_LIBS+= $(LIBS) \
	-lpthread
LIB_DIRS=-L$(ADK_LIBDIR) $(ADK_LIBDIRS)
endif

