#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <linux/version.h>
//#include "/usr/include/tcl8.5/tcl.h" 
#include <tcl.h> 

/* ADK header files */
//#include <adk_ph.h>
#include <adk_ph_dev.h>
#include <adk_ethernet.h>
#include <adk_ip.h>
#include <adk_ipv6.h>
#include <adk_ipsec.h>
#include <adk_ipv6_ing_classifier.h>
//#include <adk_fps.h>
//#include <adk_BB_CONFIG.h>
//#include <adk_BB_CONFIG_fps.h>
#include <adk_sample_os.h>
#include <adk_hos_constants.h>
#include <adk_hos.h>
#include "adk_modules_enabled.h"

#include <adk_sys.h>
#include <adk_pal_dp_export.h>
#include <adk_pal.h>
#include <ies_sdk.h>
#include <ies_event_types.h>
#include <ies_api_port.h>
#include <getopt.h>
#include <adk_ipsec_utility_counters.h>
#include <adk_ethernet_utility_counters.h>
#include <adk_sif_constants.h>
#include <adk_sif.h>



#include "adk_test_shm.h"
#include "adk_sample_common.h"

//#include "test_shm.h"

#include "adk_sample_dpdk_ports.h"

//#define EM_RECV_QUEUE_ID 0x320001
#define E_IPT_SWITCH_ID     (0x00)
//#define ADK_ETH_UNKNOWN_VRD                 63 /*FIXME:Mallesh*/
#define ADK_ETH_UNKNOWN_VRD                 0
#define VRD_ID          		ADK_ETH_UNKNOWN_VRD
#define ADK_ETH_DEFAULT_MAC_AGING_TIMER     5
#define NUM_EXCEPCTION_CBFN 2        /*Eth and IPsec*/

uint8_t host_port_nums[NUM_PORTS*2];
uint8_t tn_port_nums[NUM_PORTS];
int bvi_vrd_rule_id_vlan[NUM_PORTS];
extern qos_sl_sched_t g_sl_map[MAX_L2_INTF];
extern qos_fl_sched_t g_fl_map[MAX_L3_INTF];
qos_sl_sched_t *parent_tm_node_info_p;
uint8_t fl_created = 0;
uint8_t qos_queue = 0;


#define NUM_ETH_EXC_CBFN 1
#define NUM_PH_ETH_RX_QUEUES 1
#define NUM_PH_ETH_TX_QUEUES 0
#define ETH_PH_DEVICE_INDEX 0
#define ETH_PH_QUEUE_INDEX 0
#define NUM_PH_TX_QUEUES 0
#define NUM_PH_RX_QUEUES 1
#define PH_DEVICE_INDEX 0
#define PH_QUEUE_INDEX 0

/* conts for ethernet */
#define MAX_NUM_ETH_IFS 10
#define MAX_NUM_ETH_VIFS 150
#define MAX_NUM_ETH_IP_FLOWS  150
#define MAX_NUM_ETH_ENCAP_FLOWS 150

/* consts for IPv4 */
#define MAX_NUM_IPV4_VR   64
#define MAX_NUM_IPV4_IFS  150
#define MAX_NUM_IPV4_VIRT_IFS  600
#define MAX_NUM_IPV4_TUN_IFS  728
#define MAX_NUM_IPV4_EG_FLOWS 150
#define MAX_NUM_IPV4_EG_IPSEC_FLOWS 150

/* conts for IPv6 */
#define MAX_NUM_IPV6_IFS  100
#define MAX_NUM_IPV6_TUN_IFS  100
#define MAX_NUM_IPV6_EG_FLOWS 100
#define MAX_NUM_IPV6_EG_IPSEC_FLOWS 100

/* conts for IPsec */
#define MAX_NUM_IPSEC_RULESETS  768
#define MAX_NUM_IPSEC_POLICIES  32
#define MAX_NUM_IPSEC_EG_SAS  2000
#define MAX_NUM_IPSEC_ING_SAS 2000
#define MAX_NUM_IPSEC_FLOWS 2000

/* consts for FPS */
#define MAX_NUM_UDP_FPS_SOCKS 64
#define MAX_NUM_BB_CONFIG_FPS_SOCKS 512

/* for BB_CONFIG */
/* BB_CONFIG IELL related constants */
#define DEMO_BB_CONFIG_VLAN_ID 0x100
#define DEMO_BB_CONFIG_PRIORITY 2
#define DEMO_BB_CONFIG_DEI 0

/* Multicast PCEP ID per multicast group */
#define DEMO_MULTICAST_PCEP_ID  0x2A

/* Multicast member local PCEP IDs */
#define DEMO_MEMBER_LOCAL_PCEP_ID_1 0x1A
#define DEMO_MEMBER_LOCAL_PCEP_ID_2 0x1B

/* Multicast member remote PCEP IDs */
#define DEMO_MEMBER_REMOTE_PCEP_ID_1 0x1C
#define DEMO_MEMBER_REMOTE_PCEP_ID_2 0x1D

/* eMBMS session ID */
#define DEMO_EMBMS_SESSION_ID 0x11
/* Backplane Port MTU Size */
#define ADK_BB_CONFIG_MTU_SIZE              2048

/* BB_CONFIG Ether type */
#define DEMO_BB_CONFIG_ETHER_TYPE           0xEBC0
#define DEMO_BB_CONFIG_HDR_REV              1
#define DEMO_BB_CONFIG_HDR_PRIM_TYPE        1


typedef struct if_flow_s
{
  adk_interface_handle_t enetIf;
  int port;
}if_flow_t;
#if 0
typedef struct remoteAddrList_s
{
    union {
        struct adk_fps_sockaddr_udp4 ra4;
        struct adk_fps_sockaddr_udp6 ra6;
    }fpsAddr;
    bool  used;
}remoteAddrList_t;

#endif
