/* ***************************************************************************
**                                                                          *
** INTEL CONFIDENTIAL                                                       *
** Copyright 2011 - 2018 Intel Corporation All Rights Reserved.             *
**                                                                          *
** The source code contained or described herein and all documents related  *
** to the source code ("Material") are owned by Intel Corporation or its    *
** suppliers or licensors. Title to the Material remains with Intel         *
** Corporation or its suppliers and licensors. The Material contains trade  *
** secrets and proprietary and confidential information of Intel or its     *
** suppliers and licensors. The Material is protected by worldwide          *
** copyright and trade secret laws and treaty provisions. No part of the    *
** Material may be used, copied, reproduced, modified, published, uploaded, *
** posted, transmitted, distributed, or disclosed in any way without        *
** Intel's prior express written permission.                                *
**                                                                          *
** No license under any patent, copyright, trade secret or other            *
** intellectual property right is granted to or conferred upon you by       *
** disclosure or delivery of the Materials, either expressly, by            *
** implication, inducement, estoppel or otherwise. Any license under such   *
** intellectual property rights must be express and approved by Intel       *
** in writing.                                                              *
**                                                                          *
** **************************************************************************
**/

#ifndef _ADK_IPV6_DP_HW_LLI_H_
#define _ADK_IPV6_DP_HW_LLI_H_

#ifdef ADK_HOS_OLD_IMPL 
inline adk_status_t
adk_ipv6_hw_offload_proc(struct rte_mbuf *task, adk_ipv6_dp_interface_entry_t *ipv6_if_entry,
        adk_ipv6_hdr_t *ipv6_hdr, uint16_t src_port, uint16_t dst_port,
        uint8_t next_hdr, adk_ipv6_frag_t frag_flag, bool l4_port_present,  uint16_t offset_to_frag, 
        uint32_t frag_id, uint8_t excep);
#endif
#endif
